use azure_core::error::HttpError;

#[derive(Debug, thiserror::Error)]
pub enum AdapterError {
    #[error("Azure error: {0}")]
    Azure(#[from] azure_core::Error),
    #[error("HTTP error: {0}")]
    Http(#[from] HttpError),
    #[error("Serialization error: {0}")]
    Serialization(String),
}
