import { Head } from "$fresh/runtime.ts";

export default function Error404() {
  return (
    <>
      <Head>
        <title>Page not found</title>
      </Head>
      <div class="px-4 py-8 mx-auto bg-[#313244]">
        <div class="max-w-screen-md mx-auto flex flex-col items-center justify-center">
          <h1 class="text-4xl font-bold text-[#cdd6f4]">Page not found</h1>
          <p class="my-4 text-[#cdd6f4]">
            The page you were looking for doesn't exist!
          </p>
          <a
            href={`${Deno.env.get("BASE_URI_WEB")}/`}
            class="text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer"
          >
            Go back home
          </a>
        </div>
      </div>
    </>
  );
}
